org.jbpm.kie.services.impl.model

## Class ProcessInstanceDesc

- java.lang.Object
- - org.jbpm.kie.services.impl.model.ProcessInstanceDesc

- All Implemented Interfaces:
    Serializable, ProcessInstanceDesc
  Direct Known Subclasses:
    ProcessInstanceWithVarsDesc

      public class ProcessInstanceDesc
      extends Object
      implements ProcessInstanceDesc, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessInstanceDesc()`
    `ProcessInstanceDesc(long id, String processId, String processName, String processVersion, int state, String deploymentId, Date dataTimeStamp, String initiator, String correlationKey)`
    `ProcessInstanceDesc(long id, String processId, String processName, String processVersion, int state, String deploymentId, Date dataTimeStamp, String initiator, String processInstanceDescription, String correlationKey)`
    `ProcessInstanceDesc(long id, String processId, String processName, String processVersion, int state, String deploymentId, Date dataTimeStamp, String initiator, String processInstanceDescription, String correlationKey, Long parentId)`
    `ProcessInstanceDesc(long id, String processId, String processName, String processVersion, int state, String deploymentId, Date dataTimeStamp, String initiator, String processInstanceDescription, String correlationKey, Long parentId, Date slaDueDate, Integer slaCompliance)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<UserTaskInstanceDesc>` | `getActiveTasks()`
    `String` | `getCorrelationKey()`
    `Date` | `getDataTimeStamp()`
    `String` | `getDeploymentId()`
    `Long` | `getId()`
    `String` | `getInitiator()`
    `Long` | `getParentId()`
    `String` | `getProcessId()`
    `String` | `getProcessInstanceDescription()`
    `String` | `getProcessName()`
    `String` | `getProcessVersion()`
    `Integer` | `getSlaCompliance()`
    `Date` | `getSlaDueDate()`
    `Integer` | `getState()`
    `void` | `setActiveTasks(List<UserTaskInstanceDesc> activeTasks)`
    `void` | `setCorrelationKey(String correlationKey)`
    `void` | `setDeploymentId(String deploymentId)`
    `void` | `setInitiator(String initiator)`
    `void` | `setParentId(Long parentId)`
    `void` | `setProcessInstanceDescription(String processInstanceDescription)`
    `void` | `setSlaCompliance(Integer slaCompliance)`
    `void` | `setSlaDueDate(Date slaDueDate)`
    `void` | `setState(int state)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessInstanceDesc

          public ProcessInstanceDesc()

    - #### ProcessInstanceDesc

          public ProcessInstanceDesc(long id,
                                     String processId,
                                     String processName,
                                     String processVersion,
                                     int state,
                                     String deploymentId,
                                     Date dataTimeStamp,
                                     String initiator,
                                     String processInstanceDescription,
                                     String correlationKey,
                                     Long parentId,
                                     Date slaDueDate,
                                     Integer slaCompliance)

    - #### ProcessInstanceDesc

          public ProcessInstanceDesc(long id,
                                     String processId,
                                     String processName,
                                     String processVersion,
                                     int state,
                                     String deploymentId,
                                     Date dataTimeStamp,
                                     String initiator,
                                     String processInstanceDescription,
                                     String correlationKey)

    - #### ProcessInstanceDesc

          public ProcessInstanceDesc(long id,
                                     String processId,
                                     String processName,
                                     String processVersion,
                                     int state,
                                     String deploymentId,
                                     Date dataTimeStamp,
                                     String initiator,
                                     String correlationKey)

    - #### ProcessInstanceDesc

          public ProcessInstanceDesc(long id,
                                     String processId,
                                     String processName,
                                     String processVersion,
                                     int state,
                                     String deploymentId,
                                     Date dataTimeStamp,
                                     String initiator,
                                     String processInstanceDescription,
                                     String correlationKey,
                                     Long parentId)

  - ### Method Detail

    - #### getProcessId

          public String getProcessId()

      Specified by:
        `getProcessId` in interface `ProcessInstanceDesc`

    - #### getId

          public Long getId()

      Specified by:
        `getId` in interface `ProcessInstanceDesc`

    - #### getProcessName

          public String getProcessName()

      Specified by:
        `getProcessName` in interface `ProcessInstanceDesc`

    - #### getState

          public Integer getState()

      Specified by:
        `getState` in interface `ProcessInstanceDesc`

    - #### getDeploymentId

          public String getDeploymentId()

      Specified by:
        `getDeploymentId` in interface `ProcessInstanceDesc`

    - #### getDataTimeStamp

          public Date getDataTimeStamp()

      Specified by:
        `getDataTimeStamp` in interface `ProcessInstanceDesc`

    - #### getProcessVersion

          public String getProcessVersion()

      Specified by:
        `getProcessVersion` in interface `ProcessInstanceDesc`

    - #### setState

          public void setState(int state)

    - #### getInitiator

          public String getInitiator()

      Specified by:
        `getInitiator` in interface `ProcessInstanceDesc`

    - #### setInitiator

          public void setInitiator(String initiator)

    - #### setDeploymentId

          public void setDeploymentId(String deploymentId)

    - #### getProcessInstanceDescription

          public String getProcessInstanceDescription()

      Specified by:
        `getProcessInstanceDescription` in interface `ProcessInstanceDesc`

    - #### setProcessInstanceDescription

          public void setProcessInstanceDescription(String processInstanceDescription)

    - #### getActiveTasks

          public List<UserTaskInstanceDesc> getActiveTasks()

      Specified by:
        `getActiveTasks` in interface `ProcessInstanceDesc`

    - #### setActiveTasks

          public void setActiveTasks(List<UserTaskInstanceDesc> activeTasks)

    - #### getCorrelationKey

          public String getCorrelationKey()

      Specified by:
        `getCorrelationKey` in interface `ProcessInstanceDesc`

    - #### setCorrelationKey

          public void setCorrelationKey(String correlationKey)

    - #### getParentId

          public Long getParentId()

      Specified by:
        `getParentId` in interface `ProcessInstanceDesc`

    - #### setParentId

          public void setParentId(Long parentId)

    - #### getSlaDueDate

          public Date getSlaDueDate()

      Specified by:
        `getSlaDueDate` in interface `ProcessInstanceDesc`

    - #### setSlaDueDate

          public void setSlaDueDate(Date slaDueDate)

    - #### getSlaCompliance

          public Integer getSlaCompliance()

      Specified by:
        `getSlaCompliance` in interface `ProcessInstanceDesc`

    - #### setSlaCompliance

          public void setSlaCompliance(Integer slaCompliance)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.